Bug 974755 - copy-paste function not working in Selinux problem description field properly
copy-paste function not working in Selinux problem description field properly
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: report (Show other bugs)
19
i686 Linux
unspecified Severity high
: ---
: ---
Assigned To: Gavin Romig-Koch
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-15 08:58 EDT by klaus
Modified: 2015-02-17 10:35 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:35:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description klaus 2013-06-15 08:58:00 EDT
Referring to Selinux warning dialog browser and problem description field in Fedora 19 beta.

When Selinux detects an error, then it's warning browser window opens. I click on the 'report error' button, where, mostly after some login modalities, a huge panel opens where I can give closer description of the error. Now, when I want to select some description lines from the browser/error explanantion area, I can select the lines but when I do the right click with mouse to open the 'cut copy paste dialog' then the selection disappears again, bevor I can even click on the 'copy' - field. The selection (light blue highlight) simply doesn't consist long enough to be selected. Same for the paste function. One time with some luck I managed to copy some lines but when I went to paste them into the problem description field, the paste-function was not available (grayed out). This whole procedure of select, cut, copy and paste is not contiguous and stable and should be cared for, since it is very basic. As counterproof, cut, copy paste does work no problem in a texteditor such as gedit for instance. The comfort of cut copy paste should be available in the Selinux area too though, else, the whole business of testing for a stable fedora release may become nagging hard at times.
Thnaks for considering this and giving attention.
Comment 1 Daniel Walsh 2013-06-19 16:57:45 EDT
Are you getting lots of AVC messages?  I think the gui would redraw if new messags are coming in?
Comment 2 klaus 2013-06-20 02:20:52 EDT
No, I don't get lots of messages. It is the standard cut, copy, paste that works in a way that is troublesome and annoying. Rendering seems chaotic or limited in that area. Only like to get any information from browsing area to message panel, from a to b, nothing else happens while trying to do so.
Comment 3 Daniel Walsh 2013-06-20 13:58:06 EDT
Ok, well the information from that screen is available in the screen already...

But the problem seems to be the report window is modal, which causes the screens that created it to not be able to react.

Report guys, can this dialog be changed to not be modal?
Comment 4 klaus 2013-06-23 09:52:22 EDT
Sure I can see that from the dialog being modal it is prone to cause mode errors, too. On other hand, i spot the problem to be in the parent window, which then gets may sadly get inherited by the child window. Not sure which way to recommend, but what about a more indepent report mechanism of the child window?
What choices are there?
Comment 5 klaus 2013-09-11 14:55:14 EDT
Bug seems not significant to me any longer. Maybe it can be closed.
Comment 6 Fedora End Of Life 2015-01-09 13:26:38 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-02-17 10:35:37 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.